Package csb :: Package statistics :: Package samplers :: Package mc :: Module neqsteppropagator :: Class MDParam

[frames] | no frames]

# Class MDParam

source code

    object --+
             |
            MDParam

Known Subclasses:
  - HMCPropagationParam
  - , MDPropagationParam
  - , PlainMDPropagationParam

Holds all required information for calculating a MD trajectory.

Instance Methods

__init__(self, timestep, traj_length, gradient, temperature=1.0, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>, mass_matrix=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
| gradient
| integrator
| mass_matrix
| temperature
| timestep
| traj_length
Inherited from `object`: `__class__`

Method Details

### __init__(self, timestep, traj_length, gradient, temperature=1.0, integrator=<class 'csb.numeric.integrators.FastLeapFrog'>, mass_matrix=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `timestep` (float) - integration timestep
  - `traj_length` (int) - MD trajectory length
  - `gradient` (callable) - gradient governing the equations of motion, function of position array and time
  - `temperature` (float) - System temperature for drawing momenta from the Maxwell distribution
  - `integrator` (AbstractIntegrator) - Integration scheme to be utilized
  - `mass_matrix` (InvertibleMatrix) - mass matrix for kinetic energy definition
Overrides: object.__init__
  (inherited documentation)

Property Details

### gradient

Get Method:
  unreachable.gradient(self)
Set Method:
  unreachable.gradient(self, value)

### integrator

Get Method:
  unreachable.integrator(self)
Set Method:
  unreachable.integrator(self, value)

### mass_matrix

Get Method:
  unreachable.mass_matrix(self)
Set Method:
  unreachable.mass_matrix(self, value)

### temperature

Get Method:
  unreachable.temperature(self)
Set Method:
  unreachable.temperature(self, value)

### timestep

Get Method:
  unreachable.timestep(self)
Set Method:
  unreachable.timestep(self, value)

### traj_length

Get Method:
  unreachable.traj_length(self)
Set Method:
  unreachable.traj_length(self, value)